com.jscape.inet.ftp

## Class MvsParser.MvsFileRecord

- java.lang.Object
- - com.jscape.inet.ftp.MvsParser.MvsFileRecord

- Enclosing class:
    MvsParser

      public static class MvsParser.MvsFileRecord
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `blksize`
    `java.lang.String` | `dsname`
    `java.lang.String` | `dsorg`
    `java.lang.String` | `ext`
    `java.lang.String` | `line`
    `java.lang.String` | `lrecl`
    `java.lang.String` | `recfm`
    `java.lang.String` | `referred`
    `java.lang.String` | `unit`
    `java.lang.String` | `used`
    `java.lang.String` | `volume`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsFileRecord(java.lang.String line, java.lang.String volume, java.lang.String unit, java.lang.String referred, java.lang.String ext, java.lang.String used, java.lang.String recfm, java.lang.String lrecl, java.lang.String blksize, java.lang.String dsorg, java.lang.String dsname)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FtpFile` | `asFile()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### line

          public final java.lang.String line

    - #### volume

          public final java.lang.String volume

    - #### unit

          public final java.lang.String unit

    - #### referred

          public final java.lang.String referred

    - #### ext

          public final java.lang.String ext

    - #### used

          public final java.lang.String used

    - #### recfm

          public final java.lang.String recfm

    - #### lrecl

          public final java.lang.String lrecl

    - #### blksize

          public final java.lang.String blksize

    - #### dsorg

          public final java.lang.String dsorg

    - #### dsname

          public final java.lang.String dsname

  - ### Constructor Detail

    - #### MvsFileRecord

          public MvsFileRecord(java.lang.String line,
                               java.lang.String volume,
                               java.lang.String unit,
                               java.lang.String referred,
                               java.lang.String ext,
                               java.lang.String used,
                               java.lang.String recfm,
                               java.lang.String lrecl,
                               java.lang.String blksize,
                               java.lang.String dsorg,
                               java.lang.String dsname)

  - ### Method Detail

    - #### asFile

          public FtpFile asFile()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved